<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Nov 29, 2016 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20161129" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2016-11-29</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplArrayImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html#L128">128</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html#L129">129</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html#L187">187</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html#L188">188</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html#L225">225</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ArrayImpl.html#L226">226</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/DefaultImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplDefaultImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/DefaultImpl.html#L83">83</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/DefaultImpl.html#L84">84</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternLibraryImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplExternLibraryImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternLibraryImpl.html#L132">132</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternLibraryImpl.html#L133">133</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternalImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplExternalImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternalImpl.html#L125">125</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ExternalImpl.html#L126">126</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/FinalImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplFinalImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/FinalImpl.html#L83">83</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/FinalImpl.html#L84">84</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ImportImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplImportImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ImportImpl.html#L136">136</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ImportImpl.html#L137">137</a></td></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ImportImpl.html#L174">174</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ImportImpl.html#L175">175</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ManualGenerationImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplManualGenerationImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ManualGenerationImpl.html#L123">123</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/ManualGenerationImpl.html#L124">124</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NativeImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplNativeImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NativeImpl.html#L83">83</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NativeImpl.html#L84">84</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NoCodeGenImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplNoCodeGenImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NoCodeGenImpl.html#L83">83</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/NoCodeGenImpl.html#L84">84</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StaticClassifierImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplStaticClassifierImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StaticClassifierImpl.html#L83">83</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StaticClassifierImpl.html#L84">84</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StrictfpImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplStrictfpImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StrictfpImpl.html#L95">95</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StrictfpImpl.html#L96">96</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StrictfpImpl.html#L133">133</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/StrictfpImpl.html#L134">134</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/SynchronizedImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplSynchronizedImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/SynchronizedImpl.html#L83">83</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/SynchronizedImpl.html#L84">84</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateBindingImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplTemplateBindingImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateBindingImpl.html#L123">123</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateBindingImpl.html#L124">124</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplTemplateImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateImpl.html#L123">123</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateImpl.html#L124">124</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateParameterImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplTemplateParameterImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateParameterImpl.html#L123">123</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TemplateParameterImpl.html#L124">124</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TransientImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplTransientImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TransientImpl.html#L83">83</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/TransientImpl.html#L84">84</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VariadicImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplVariadicImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VariadicImpl.html#L83">83</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VariadicImpl.html#L84">84</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VolatileImpl.java<a name="orgeclipsepapyrusdesignerlanguagesjavaprofilePapyrusJavaimplVolatileImpl.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VolatileImpl.html#L83">83</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/impl/VolatileImpl.html#L84">84</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
